/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.kernel.model;

/**
 * @author Brian Wing Shun Chan
 */
public class LayoutConstants {

	public static final String CUSTOMIZABLE_LAYOUT = "CUSTOMIZABLE_LAYOUT";

	public static final long DEFAULT_PARENT_LAYOUT_ID = 0;

	public static final long DEFAULT_PLID = 0;

	public static final int FIRST_PRIORITY = 0;

	public static final int FRIENDLY_URL_MAX_LENGTH = 255;

	public static final String NAME_CONTROL_PANEL_DEFAULT = "Control Panel";

	public static final String TYPE_ASSET_DISPLAY = "asset_display";

	public static final String TYPE_COLLECTION = "collection";

	public static final String TYPE_CONTENT = "content";

	public static final String TYPE_CONTROL_PANEL = "control_panel";

	public static final String TYPE_EMBEDDED = "embedded";

	public static final String TYPE_FULL_PAGE_APPLICATION =
		"full_page_application";

	public static final String TYPE_LINK_TO_LAYOUT = "link_to_layout";

	public static final String TYPE_PANEL = "panel";

	public static final String TYPE_PORTLET = "portlet";

	/**
	 * @deprecated As of Judson (7.1.x), with no direct replacement
	 */
	@Deprecated
	public static final String TYPE_SHARED_PORTLET = "shared_portlet";

	public static final String TYPE_URL = "url";

}