<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>

<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui" %><%@
taglib uri="http://liferay.com/tld/clay" prefix="clay" %><%@
taglib uri="http://liferay.com/tld/frontend" prefix="liferay-frontend" %><%@
taglib uri="http://liferay.com/tld/site-navigation" prefix="liferay-site-navigation" %><%@
taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme" %><%@
taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui" %><%@
taglib uri="http://liferay.com/tld/util" prefix="liferay-util" %>

<%@ page import="com.liferay.configuration.admin.category.ConfigurationCategory" %><%@
page import="com.liferay.configuration.admin.display.ConfigurationFormRenderer" %><%@
page import="com.liferay.configuration.admin.display.ConfigurationScreen" %><%@
page import="com.liferay.configuration.admin.menu.ConfigurationMenuItem" %><%@
page import="com.liferay.configuration.admin.web.internal.constants.ConfigurationAdminWebKeys" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationCategoryDisplay" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationCategoryMenuDisplay" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationCategorySectionDisplay" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationEntry" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationModelConfigurationEntry" %><%@
page import="com.liferay.configuration.admin.web.internal.display.ConfigurationScopeDisplay" %><%@
page import="com.liferay.configuration.admin.web.internal.display.context.ConfigurationScopeDisplayContext" %><%@
page import="com.liferay.configuration.admin.web.internal.model.ConfigurationModel" %><%@
page import="com.liferay.configuration.admin.web.internal.util.ConfigurationCategoryUtil" %><%@
page import="com.liferay.configuration.admin.web.internal.util.ConfigurationEntryIterator" %><%@
page import="com.liferay.configuration.admin.web.internal.util.ConfigurationEntryRetriever" %><%@
page import="com.liferay.configuration.admin.web.internal.util.ConfigurationModelIterator" %><%@
page import="com.liferay.configuration.admin.web.internal.util.ResourceBundleLoaderProvider" %><%@
page import="com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition" %><%@
page import="com.liferay.portal.configuration.persistence.listener.ConfigurationModelListenerException" %><%@
page import="com.liferay.portal.kernel.language.LanguageUtil" %><%@
page import="com.liferay.portal.kernel.util.HtmlUtil" %><%@
page import="com.liferay.portal.kernel.util.ListUtil" %><%@
page import="com.liferay.portal.kernel.util.ParamUtil" %><%@
page import="com.liferay.portal.kernel.util.PortalUtil" %><%@
page import="com.liferay.portal.kernel.util.ResourceBundleLoader" %><%@
page import="com.liferay.portal.kernel.util.Validator" %><%@
page import="com.liferay.site.navigation.taglib.servlet.taglib.util.BreadcrumbEntriesUtil" %><%@
page import="com.liferay.taglib.servlet.PipingServletResponse" %>

<%@ page import="java.util.List" %><%@
page import="java.util.ResourceBundle" %>

<%@ page import="javax.portlet.PortletURL" %>

<%@ page import="org.osgi.service.cm.Configuration" %><%@
page import="org.osgi.service.metatype.AttributeDefinition" %>

<liferay-frontend:defineObjects />

<liferay-theme:defineObjects />

<portlet:defineObjects />